SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000688SiT!SLAspublic2009-05-06 10:312011-02-22 17:49
Reportercalem15 
Assigned To 
PrioritynormalSeverityfeatureReproducibilityhave not tried
StatusconfirmedResolutionopen 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0000688: Turn Around Time (TAT) & Quality of service for task and incidents
Description- Turn Around Time (TAT) for each incident filtered by group or user as part of SLA. e.g. time resolved - time assigned = TAT

- Quality of service also as part of SLA.
   e.g. (total resolved incident or task) / (total incident or task received) = % of Quality of service

Or it can be a summary of defined TAT for each incident and a summary of defined Quality of Service if Engineers reach the target.
Additional InformationGood day!
I just wondering if we can add a feature as part of SLA wherein Turn Around Time (TAT) and Quality of service of each group or per user will be computed every incident and task they handled. This will be useful for the organization who's monitoring their KPMs or Key Performance Matrix and also to show to their clients how they perform, if their SLA was reached with the agreed TAT and Quality of Service for each type of incidents.

Thanks and more power!
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0001029)
paulh (administrator)
2009-05-07 20:37

Hi calem15,

In your TAT calculation your only listing the length of time a call has been assigned rather than the amount of time the incident has been assigned and awaiting the engineer so could skew the stats quite considerable, I know from our system that calls spent 80%-90% of their time in the awaiting customer action state. I've got a couple of calls which have been open for several months though have only been active for a very small percentage of this time due to the type of problem (random mail server crash). Though I guess this is dependent on the type of incidents your tracking. I agree that having a report which listed the following:

* Number of incidents of each priority
* Total time open
* Time spent in each state
* Filterable by date
* The possibility to break this report down by engineer and list each incident

Would be quite useful and something suitable for SiT.

As for Quality of Service I think this would be better developed as a plugin for SiT as this is very environment specific and will be unique per installation of SiT! See the project plugin for an example of how to add items to the menu and how to add additional pages into sit.

Cheers
Paul
User avatar (0001039)
ivan (administrator)
2009-05-11 15:49

Hi, I agree with everything paulh has said, I'd just like to add that your thoughts on this are very welcome, we do like to hear what people want from SiT.

From what you've written I'm guessing you are migrating from an existing tracker that already provides some of these statistics? am I right? If so I'd be interested in learning more about that. Perhaps you could tell us more in the forum? http://sitracker.org/forum/ [^]
(0001042)
calem15 (reporter)
2009-05-11 17:54

Sorry bosses for the late reply, I was sick this past few days.. :D

-Sir paulh,

Yeah, I was thinking of calculating the time spent by the engineer to the incident (or by incident categories or priorities) so that I would be able to see if the engineer met their SLA for their KPM, and would determine if I needed to increase our target TAT for SLA, it'll be also useful for manpower load balancing (if you need to increase manpower or training is needed something like that). TAT is very important for customers most specially if you are supporting other organizations that has production, like for example, call center.
For Quality of Service (QoS), yes that would be fine and thanks a lot for the info, I was able to know the SiT plugins.. :D

-Sir ivan

Yes indeed! I was looking for the application that is suitable for our organization, and SiT is 1 of the best candidate. I am very much willing to share my knowledge and our process as well. Co'z I believe most of organization has same or similar goals with us.
Those statistics I've mentioned/requested are the things we need to know for us to be able to determine the performances of our engineers as well as our organization. And also as required and encouraged by TUV (for we are ISO & ISMS certified organization), we need statistics for our on-time delivery and Quality of Service for better customer satisfaction...

Thanks again for looking up on my concerns and more power to all of you!

God bless!

Jolly
User avatar (0001413)
ivan (administrator)
2009-07-26 14:54

I'd like to implement this, but not sure where it fits into our Roadmap
User avatar (0003634)
ivan (administrator)
2011-02-22 17:21

I've not forgotten about this idea, I've just had no time to look at it. I'll try and remember to discuss it at our next meeting.
User avatar (0003635)
nicdev (developer)
2011-02-22 17:49

We use the same indicators, and maybe this can be fulfilled with "Plugin_reporting" ..; we'll have to wait and see ... soon ..

- Issue History
Date Modified Username Field Change
2009-05-06 10:31 calem15 New Issue
2009-05-07 20:37 paulh Note Added: 0001029
2009-05-11 15:49 ivan Note Added: 0001039
2009-05-11 15:49 ivan Status new => feedback
2009-05-11 17:54 calem15 Note Added: 0001042
2009-07-26 14:54 ivan Note Added: 0001413
2009-07-26 14:54 ivan Status feedback => confirmed
2011-02-22 17:21 ivan Note Added: 0003634
2011-02-22 17:49 nicdev Note Added: 0003635


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker